#import <driverkit/IODevice.h>
#import <kernserv/kern_server_types.h>

kern_server_t Fd_instance;

@interface FdKernelServerInstance : Object
{}
+ (kern_server_t *)kernelServerInstance;
@end

@implementation FdKernelServerInstance
+ (kern_server_t *)kernelServerInstance
{
	return &Fd_instance;
}
@end

@interface FdVersion : IODevice
{}
+ (int)driverKitVersionForFd;
@end

@implementation FdVersion
+ (int)driverKitVersionForFd
{
	return IO_DRIVERKIT_VERSION;
}
@end

